uk.co.mruoc.http.client

## Class SimpleHttpClient

- java.lang.Object
- - uk.co.mruoc.http.client.BaseHttpClient
  - - uk.co.mruoc.http.client.SimpleHttpClient

All Implemented Interfaces:
  HttpClient

Direct Known Subclasses:
  FakeHttpClient

    public class SimpleHttpClient
    extends BaseHttpClient

### Constructor Summary

Constructors
Constructor and Description
`SimpleHttpClient()`
`SimpleHttpClient(org.apache.http.client.HttpClient client)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Response` `delete(java.lang.String endpoint, Headers headers)`
`protected Response` `execute(org.apache.http.client.methods.HttpRequestBase request)`
`Response` `get(java.lang.String endpoint, Headers headers)`
`Response` `post(java.lang.String endpoint, java.lang.String entity, Headers headers)`
`Response` `put(java.lang.String endpoint, java.lang.String entity, Headers headers)`

### Methods inherited from class uk.co.mruoc.http.client.BaseHttpClient

`delete, get, post, put`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleHttpClient

    public SimpleHttpClient()

#### SimpleHttpClient

    public SimpleHttpClient(org.apache.http.client.HttpClient client)

### Method Detail

#### post

    public Response post(java.lang.String endpoint,
                         java.lang.String entity,
                         Headers headers)

Specified by:
  `post` in interface `HttpClient`
Specified by:
  `post` in class `BaseHttpClient`

#### put

    public Response put(java.lang.String endpoint,
                        java.lang.String entity,
                        Headers headers)

Specified by:
  `put` in interface `HttpClient`
Specified by:
  `put` in class `BaseHttpClient`

#### get

    public Response get(java.lang.String endpoint,
                        Headers headers)

Specified by:
  `get` in interface `HttpClient`
Specified by:
  `get` in class `BaseHttpClient`

#### delete

    public Response delete(java.lang.String endpoint,
                           Headers headers)

Specified by:
  `delete` in interface `HttpClient`
Specified by:
  `delete` in class `BaseHttpClient`

#### execute

    protected Response execute(org.apache.http.client.methods.HttpRequestBase request)